# Uses of Class
javassist.bytecode.FieldInfo

Packages that use FieldInfo
Package
Description
javassist
The Javassist Core API.
javassist.bytecode
Bytecode-level API.

## Uses of FieldInfo in javassist

Methods in javassist that return FieldInfo
Modifier and Type
Method
Description
`FieldInfo`
CtField.`getFieldInfo()`
Returns the FieldInfo representing the field in the class file.
`FieldInfo`
CtField.`getFieldInfo2()`
Returns the FieldInfo representing the field in the class file (read only).

## Uses of FieldInfo in javassist.bytecode

Methods in javassist.bytecode that return types with arguments of type FieldInfo
Modifier and Type
Method
Description
`List<FieldInfo>`
ClassFile.`getFields()`
Returns all the fields declared in the class.
Methods in javassist.bytecode with parameters of type FieldInfo
Modifier and Type
Method
Description
`void`
ClassFile.`addField(FieldInfo finfo)`
Appends a field to the class.
`final void`
ClassFile.`addField2(FieldInfo finfo)`
Just appends a field to the class.